curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberGivenName": "<string>",
"memberFamilyName": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewGivenName": "<string>",
"crewFamilyName": "<string>",
"crewPrimaryEmail": "<string>",
"crewAvatarUrl": "<string>",
"nrOfDocumentItems": "<string>",
"nrOfDocumentSets": "<string>",
"listOfDocumentRequestItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTypeName": "<string>",
"documentTypeCode": "<string>",
"documentTypeUploadInstruction": "<string>",
"document": {
"id": "<string>",
"contentType": "<string>",
"sizeBytes": "<string>",
"name": "<string>",
"originalUrl": "<string>",
"originalMd5": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z"
},
"isHasUploadedDocuments": true
}
],
"isAllDocumentRequestItemsHaveUploadedDocuments": true,
"emailSentAt": "2023-01-15T01:30:15.01Z",
"emailSentState": "DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}GetOneDocumentRequest
Get one document request by id: the crew member asked, the recruiter who asked, each requested document type with the document the crew member uploaded for it, whether every type has an upload, and whether and when Sterndesk last emailed the request to the crew member.
curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest"
payload = { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest"
payload := strings.NewReader("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/GetOneDocumentRequest")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"memberGivenName": "<string>",
"memberFamilyName": "<string>",
"memberId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"crewGivenName": "<string>",
"crewFamilyName": "<string>",
"crewPrimaryEmail": "<string>",
"crewAvatarUrl": "<string>",
"nrOfDocumentItems": "<string>",
"nrOfDocumentSets": "<string>",
"listOfDocumentRequestItems": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTypeName": "<string>",
"documentTypeCode": "<string>",
"documentTypeUploadInstruction": "<string>",
"document": {
"id": "<string>",
"contentType": "<string>",
"sizeBytes": "<string>",
"name": "<string>",
"originalUrl": "<string>",
"originalMd5": "<string>",
"thumbnailUrl": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z"
},
"isHasUploadedDocuments": true
}
],
"isAllDocumentRequestItemsHaveUploadedDocuments": true,
"emailSentAt": "2023-01-15T01:30:15.01Z",
"emailSentState": "DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
request to get a one document request.
id of the document request, as returned by ListDocumentRequests
Response
Success
response to get a one document request.
id of a document request
id of a crew profile
given_name of the member of the organisation
family_name of the member of the organisation
id of a member
given_name of the crew profile
family_name of the crew profile
primary_email of the crew profile
avatar_url of the crew profile
count of document request items
count of uploaded document sets by crew
list of document request items
Show child attributes
Show child attributes
is all document request items have uploaded documents
when Sterndesk last tried to email this request to the crew member; absent if it never did
"2023-01-15T01:30:15.01Z"
outcome of the last attempt to email this request to the crew member
DOCUMENT_REQUEST_EMAIL_SENT_STATE_UNSPECIFIED, DOCUMENT_REQUEST_EMAIL_SENT_STATE_SUCCESS, DOCUMENT_REQUEST_EMAIL_SENT_STATE_FAILED